Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 469469

Summary: gcc doesn't require glibc-headers
Product: [Fedora] Fedora Reporter: Horst H. von Brand <vonbrand>
Component: gccAssignee: Jakub Jelinek <jakub>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jakub
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-01 10:34:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Horst H. von Brand 2008-10-31 23:42:26 EDT
Description of problem:
On a list here a user reported that he couldn't compile "Hello, world!" for lack of the standard C headers contained in glibc-headers, which gcc doesn't require

Version-Release number of selected component (if applicable):
gcc-4.3.2-6.x86_64

How reproducible:
Install just gcc and direct dependencies.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jakub Jelinek 2008-11-01 03:38:43 EDT
gcc requires glibc-devel, which requires glibc-headers.  Why is a direct dependency as opposed to indirect one needed?
Comment 2 Horst H. von Brand 2008-11-01 09:37:08 EDT
Not needed, really. This was reported to me by a (mostly clueless user).

Sorry for the noise. Close?